Bug 172005 - Change ldapserver version to 1.0
Change ldapserver version to 1.0
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-28 19:59 EDT by Rich Megginson
Modified: 2015-12-07 11:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:59:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of files in fix (2.36 KB, text/plain)
2005-10-28 19:59 EDT, Rich Megginson
no flags Details
diffs for fix (86.75 KB, text/plain)
2005-10-28 20:46 EDT, Rich Megginson
no flags Details
branding files (82 bytes, text/plain)
2005-10-28 20:47 EDT, Rich Megginson
no flags Details
branding diffs (5.60 KB, text/plain)
2005-10-28 20:47 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2005-10-28 19:59:05 EDT
Change ldapserver version to 1.0, and upgrade components to the latest versions.
Comment 1 Rich Megginson 2005-10-28 19:59:05 EDT
Created attachment 120531 [details]
List of files in fix
Comment 2 Rich Megginson 2005-10-28 20:46:27 EDT
Created attachment 120532 [details]
diffs for fix
Comment 3 Rich Megginson 2005-10-28 20:47:05 EDT
Created attachment 120533 [details]
branding files
Comment 4 Rich Megginson 2005-10-28 20:47:25 EDT
Created attachment 120534 [details]
branding diffs
Comment 5 Rich Megginson 2005-10-28 22:33:13 EDT
Reviewed by: Noriko (Thanks!)
Files: https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=120531
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=120533
Branch: HEAD
Fix Description: This also fixes some lingering build issues involving 
perldap, which is no longer a separate setup package, but just gets 
included into DS in a similar manner to nspr, nss, etc.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no
QA impact: should be covered by regular nightly and manual testing
New Tests integrated into TET: none

Checking in ldapserver/buildpaths.mk;
/cvs/dirsec/ldapserver/buildpaths.mk,v  <--  buildpaths.mk
new revision: 1.8; previous revision: 1.7
done
Checking in ldapserver/components.mk;
/cvs/dirsec/ldapserver/components.mk,v  <--  components.mk
new revision: 1.34; previous revision: 1.33
done
Checking in ldapserver/internal_buildpaths.mk;
/cvs/dirsec/ldapserver/internal_buildpaths.mk,v  <--  internal_buildpaths.mk
new revision: 1.8; previous revision: 1.7
done
Checking in ldapserver/ldap/clients/dsmlgw/Makefile;
/cvs/dirsec/ldapserver/ldap/clients/dsmlgw/Makefile,v  <--  Makefile
new revision: 1.10; previous revision: 1.9
done
Checking in ldapserver/ldap/clients/dsmlgw/build.xml;
/cvs/dirsec/ldapserver/ldap/clients/dsmlgw/build.xml,v  <--  build.xml
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/cm/Makefile;
/cvs/dirsec/ldapserver/ldap/cm/Makefile,v  <--  Makefile
new revision: 1.39; previous revision: 1.38
done
Checking in ldapserver/Makefile;
/cvs/dirsec/ldapserver/Makefile,v  <--  Makefile
new revision: 1.27; previous revision: 1.26
done
Checking in ldapserver/component_versions.mk;
/cvs/dirsec/ldapserver/component_versions.mk,v  <--  component_versions.mk
new revision: 1.39; previous revision: 1.38
done
Checking in ldapserver/internal_comp_deps.mk;
/cvs/dirsec/ldapserver/internal_comp_deps.mk,v  <--  internal_comp_deps.mk
new revision: 1.29; previous revision: 1.28
done
Checking in ldapserver/nsdefs.mk;
/cvs/dirsec/ldapserver/nsdefs.mk,v  <--  nsdefs.mk
new revision: 1.15; previous revision: 1.14
done
Checking in ldapserver/include/version.h;
/cvs/dirsec/ldapserver/include/version.h,v  <--  version.h
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/include/nt/regparms.h;
/cvs/dirsec/ldapserver/include/nt/regparms.h,v  <--  regparms.h
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/admin/src/configure_instance.cpp;
/cvs/dirsec/ldapserver/ldap/admin/src/configure_instance.cpp,v  <-- 
configure_instance.cpp
new revision: 1.9; previous revision: 1.8
done
Checking in ldapserver/ldap/admin/src/updatedsgw;
/cvs/dirsec/ldapserver/ldap/admin/src/updatedsgw,v  <--  updatedsgw
new revision: 1.8; previous revision: 1.7
done
Checking in ldapserver/ldap/cm/fixPerlDAPInf.pl;
/cvs/dirsec/ldapserver/ldap/cm/fixPerlDAPInf.pl,v  <--  fixPerlDAPInf.pl
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/cm/newinst/ns-keygen;
/cvs/dirsec/ldapserver/ldap/cm/newinst/ns-keygen,v  <--  ns-keygen
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/cm/newinst/slapd-patch.inf;
/cvs/dirsec/ldapserver/ldap/cm/newinst/slapd-patch.inf,v  <--  slapd-patch.inf
new revision: 1.3; previous revision: 1.2
done
Checking in ldapserver/ldap/cm/newinstnt/dsinst.rc;
/cvs/dirsec/ldapserver/ldap/cm/newinstnt/dsinst.rc,v  <--  dsinst.rc
new revision: 1.8; previous revision: 1.7
done
Checking in ldapserver/ldap/docs/README.txt;
/cvs/dirsec/ldapserver/ldap/docs/README.txt,v  <--  README.txt
new revision: 1.3; previous revision: 1.2
done
Checking in ldapserver/ldap/ldif/roledit.ldif;
/cvs/dirsec/ldapserver/ldap/ldif/roledit.ldif,v  <--  roledit.ldif
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/ldif/tasks.ldif;
/cvs/dirsec/ldapserver/ldap/ldif/tasks.ldif,v  <--  tasks.ldif
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/acl/libacl.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/acl/libacl.def,v  <--  libacl.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/chainingdb/libcb.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/chainingdb/libcb.def,v  <--  libcb.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/collation/collation.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/collation/collation.def,v  <-- 
collation.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/cos/cos.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/cos/cos.def,v  <--  cos.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/distrib/README;
/cvs/dirsec/ldapserver/ldap/servers/plugins/distrib/README,v  <--  README
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/distrib/libdistrib.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/distrib/libdistrib.def,v  <-- 
libdistrib.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/passthru/libpassthru.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/passthru/libpassthru.def,v  <-- 
libpassthru.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/presence/presence.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/presence/presence.def,v  <-- 
presence.def
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/servers/plugins/pwdstorage/libpwdstorage.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/pwdstorage/libpwdstorage.def,v  <--
 libpwdstorage.def
new revision: 1.8; previous revision: 1.7
done
Checking in ldapserver/ldap/servers/plugins/referint/referint.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/referint/referint.def,v  <-- 
referint.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/replication/replication.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/replication/replication.def,v  <--
replication.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/retrocl/retrocl.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/retrocl/retrocl.def,v  <--  retrocl.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/roles/roles.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/roles/roles.def,v  <--  roles.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/statechange/statechange.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/statechange/statechange.def,v  <--
statechange.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/syntaxes/libsyntax.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/syntaxes/libsyntax.def,v  <-- 
libsyntax.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/uiduniq/libuiduniq.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/uiduniq/libuiduniq.def,v  <-- 
libuiduniq.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/plugins/views/views.def;
/cvs/dirsec/ldapserver/ldap/servers/plugins/views/views.def,v  <--  views.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/slapd/libslapd.def;
/cvs/dirsec/ldapserver/ldap/servers/slapd/libslapd.def,v  <--  libslapd.def
new revision: 1.14; previous revision: 1.13
done
Checking in ldapserver/ldap/servers/slapd/ntperfdll/nsldapctrs.ini;
/cvs/dirsec/ldapserver/ldap/servers/slapd/ntperfdll/nsldapctrs.ini,v  <-- 
nsldapctrs.ini
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/slapd/ntperfdll/nsldapreg.ini;
/cvs/dirsec/ldapserver/ldap/servers/slapd/ntperfdll/nsldapreg.ini,v  <-- 
nsldapreg.ini
new revision: 1.5; previous revision: 1.4
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/README;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/README,v  <--  README
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testbind.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testbind.c,v  <--  testbind.c
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testdatainterop.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testdatainterop.c,v  <--
 testdatainterop.c
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testentry.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testentry.c,v  <-- 
testentry.c
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testextendedop.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testextendedop.c,v  <--
testextendedop.c
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testgetip.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testgetip.c,v  <-- 
testgetip.c
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testplugin.def;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testplugin.def,v  <-- 
testplugin.def
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testpostop.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testpostop.c,v  <-- 
testpostop.c
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testpreop.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testpreop.c,v  <-- 
testpreop.c
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/servers/slapd/test-plugins/testsaslbind.c;
/cvs/dirsec/ldapserver/ldap/servers/slapd/test-plugins/testsaslbind.c,v  <-- 
testsaslbind.c
new revision: 1.8; previous revision: 1.7
done
Checking in ldapserver/ldap/servers/snmp/ntagt/Makefile;
/cvs/dirsec/ldapserver/ldap/servers/snmp/ntagt/Makefile,v  <--  Makefile
new revision: 1.6; previous revision: 1.5
done
Checking in ldapserver/ldap/servers/snmp/ntagt/nsldapagt_nt.c;
/cvs/dirsec/ldapserver/ldap/servers/snmp/ntagt/nsldapagt_nt.c,v  <--  nsldapagt_nt.c
new revision: 1.8; previous revision: 1.7
done
Comment 6 Jenny Galipeau 2011-06-06 14:41:55 EDT
Please add steps to reproduce and verify thanks
Comment 7 Rich Megginson 2011-06-06 15:54:41 EDT
/usr/sbin/ns-slapd -V (or -v) prints a version number that is the same as the rpm -qi of 389-ds-base
Comment 8 Amita Sharma 2011-06-13 08:36:56 EDT
[root@testvm ~]# /usr/sbin/ns-slapd -v
389 Project
389-Directory/1.2.8.3 B2011.123.1759

[root@testvm ~]# rpm -qa | grep 389
389-adminutil-1.1.13-1.el6.x86_64
389-console-1.1.4-1.el6.noarch
389-admin-console-1.1.7-1.el6.noarch
389-ds-base-libs-1.2.8.2-1.el6_1.1.x86_64
389-admin-1.1.16-2.el6.x86_64
389-ds-console-1.2.5-1.el6.noarch
389-ds-base-1.2.8.2-1.el6_1.1.x86_64

Note You need to log in before you can comment on or make changes to this bug.